Subject: Re: [PATCH bpf-next v2 0/5] samples: bpf: fix build after move to full libbpf

From: Jakub Kicinski <[email-masked]>
Date: Tue, 15 May 2018 10:46:48 -0700

On Tue, 15 May 2018 11:16:43 +0200, Jesper Dangaard Brouer wrote:
> > $ cd tools/lib/bpf/
> > $ make
> > 
> > Auto-detecting system features:
> > ...                        libelf: [ on  ]
> > ...                           bpf: [ on  ]
> > 
> > Warning: Kernel ABI header at 'tools/include/uapi/linux/bpf.h' differs from latest version at 'include/uapi/linux/bpf.h'
> > Warning: Kernel ABI header at 'tools/include/uapi/linux/if_link.h' differs from latest version at 'include/uapi/linux/if_link.h'
> >   CC       libbpf.o
> >   CC       bpf.o
> >   CC       nlattr.o
> >   CC       btf.o
> >   LD       libbpf-in.o
> >   LINK     libbpf.a
> >   LINK     libbpf.so  
> 
> SOLVED
> 
> It seems that the "Auto-detecting system" needed a 'make clean'.
> My problem goes away when I did the following:
> 
> $ cd tools/
> $ make clean
> 
> $ cd lib/bpf/
> $ make
> 
> Auto-detecting system features:
> ...                        libelf: [ on  ]
> ...                           bpf: [ on  ]

Interesting!  I've seen the same thing (on Fedora, not sure distro is
relevant).  I tracked it down to dependency files (*.d) in
tools/build/features/ containing a reference to a sigset.h header which
didn't exist :S  I did git clean -xdf to fix my tree.

Thanks for testing and sorry about the breakage!